Branches
With this service, you can retrieve information about INEX GROUP branches.
GET
/integrators/locations/pickup-locations
| Field | Type | In | Required | Example | Description |
|---|---|---|---|---|---|
| name | string | Query | NO | Isani branch | Search by branch name. (Max: 100) |
| countryCode | string | Query | NO | GE (ISO 3166-1 alpha-2.) | Search by country code. (size: 2) |
| cityName | string | Query | NO | Tbilisi | Search by city name. (Max: 100) |
| facilityType | string | Query | NO | branch | Search by branch type. Available options: branch, locker, individualPerson |
| page | integer | Query | NO | 1 (default: 1) | Current page. |
| perPage | integer | Query | NO | 50 (default: 50, Max: 500) | Number of items per page. |
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.locationCode | string | 200058 | Unique branch identifier. |
| data.name | string | Isani Branch | Branch name. |
| data.address | string | 69801 Drake Estate Suite 845 Dorrisville, AZ 94397 | Branch address. |
| data.phone | string | +1-539-584-2742 | Branch contact number. |
| data.latitude | float | -23.896331 | Branch latitude. |
| data.longitude | float | -123.077118 | Branch longitude. |
| data.postalCode | string | 05572 | Branch postal code. |
| data.country.name | string | Georgia | Country name. |
| data.country.code | string | GE (ISO 3166-1 alpha-2.) | Country code. |
| data.city.name | string | Tbilisi | City name. |
| meta.pagination.total | integer | 1 | Total number of records found. |
| meta.pagination.count | integer | 1 | Number of items currently on the page. |
| meta.pagination.currentPage | integer | 1 | Current page. |
| meta.pagination.perPage | integer | 50 | Number of records to be displayed per page. |
| meta.pagination.totalPages | integer | 1 | Total number of pages. |
Branch Type Description
| branch | Physical branch. |
| locker | Locker. |
| individualPerson | Agent, a person who distributes parcels. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Array of files |
| 404 Not Found | City or country not found. |
| 403 Forbidden | You do not have permission to perform this operation |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/locations/pickup-locations?facilityType=branch \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json"
Response (200 OK)
JSON Response
JSON
{
"data": [
{
"locationCode": "200058",
"name": "Isani Branch",
"address": "69801 Drake Estate Suite 845 Dorrisville, AZ 94397",
"phone": "+1-539-584-2742",
"latitude": -23.896331,
"longitude": -123.077118,
"postalCode": "05572",
"country": {
"name": "Georgia",
"code": "GE"
},
"city": {
"name": "Tbilisi"
}
}
],
"meta": {
"pagination": {
"total": 1,
"count": 1,
"currentPage": 1,
"perPage": 50,
"totalPages": 1
}
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Country not found"
]
},
"message": "error"
}
JSON Response
JSON
{
"errors": {
"general": [
"City not found"
]
},
"message": "error"
}